
Redmine - Feature #13803

Implement grouping issues by date (start, due, creation, update, closing dates)

2013-04-18 09:05 - #  And

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed   

Description

group by date creation asc

group by date creation desc

group by date start asc

group by date start desc

group by date end asc

group by date end desc

group by date closing asc

group by date closing desc

Related issues:

Related to Redmine - Defect #30288: Groups are incorrect when grouping by dat... Closed

Related to Redmine - Feature #30233: Allow grouping of time entries by creati... Closed

Related to Redmine - Defect #32046: SQL to get counts when using created_on i... Closed

Related to Redmine - Defect #33110: Sort does not work with group by datetime... Closed

Related to Redmine - Defect #33290: Unnecessary database access when IssueQue... Closed

Has duplicate Redmine - Feature #20927: Group_by due_date on issue filter Closed

Has duplicate Redmine - Feature #23493: Add group results by due date Closed

Has duplicate Redmine - Feature #13160: Group results by "Created" Closed

Associated revisions

Revision 17723 - 2018-12-12 20:10 - Jean-Philippe Lang

Allow issues grouping by start and due dates (#13803).

Revision 17724 - 2018-12-12 20:52 - Jean-Philippe Lang

Allow issues grouping by creation, update and closing date (#13803).

Implemented for PostgreSQL only for now.

Revision 17745 - 2018-12-16 08:03 - Jean-Philippe Lang

Implement date grouping for MySQL (#13803).

Patch by Marius BALTEANU.

Revision 18460 - 2019-09-13 00:55 - Go MAEDA

Fix that date grouping for MySQL is not working (#32046, #13803).

Patch by Mizuki ISHIKAWA.

History

#1 - 2013-05-04 00:25 - Filou Centrinov

Related: #13160

#2 - 2015-10-07 14:43 - Go MAEDA

- Has duplicate Feature #20927: Group_by due_date on issue filter added
https://www.redmine.org/issues/13160


#3 - 2016-01-27 09:56 - Sebastian Paluch

+1

But I'm not sure if grouping should be by date day or maybe by date week or month...

#4 - 2016-01-27 11:43 - Sebastian Paluch

- File issue_query.rb.patch added

Here is small patch that simply enables grouping for Start date, Due date, Created and Closed columns.

It would be very nice if this small change could be included in next release.

#5 - 2016-08-22 04:00 - Go MAEDA

- Has duplicate Feature #23493: Add group results by due date added

#6 - 2018-05-13 15:52 - Go MAEDA

- Category changed from Issues to Issues filter

#7 - 2018-10-15 17:55 - Senya Senya

Basing on the patch, I've created a plugin for Redmine that allows grouping by date: https://gitlab.com/cmrd-senya/redmine_issues_date_grouping 

https://www.redmine.org/plugins/issue_date_grouping

#8 - 2018-12-12 20:52 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

- Target version set to 4.1.0

#9 - 2018-12-12 21:36 - Marius BĂLTEANU

- Related to deleted (Feature #13160: Group results by "Created")

#10 - 2018-12-12 21:36 - Marius BĂLTEANU

- Has duplicate Feature #13160: Group results by "Created" added

#11 - 2018-12-13 08:50 - Marius BĂLTEANU

Nice addition.

Regarding MySQL, do you have any concern?

#12 - 2018-12-13 09:49 - Jean-Philippe Lang

Marius BALTEANU wrote:

Nice addition.

Regarding MySQL, do you have any concern?

 No, I just haven't had a look at it. Feel free to submit a patch.

#13 - 2018-12-14 22:42 - Marius BĂLTEANU

- File 0001-Implemented-for-MySQL-as-well.patch added

I think the attached patch should do the trick for MySQL as well.

Tests pass without skipping the tests added for this feature: https://gitlab.com/marius-balteanu/redmine/-/jobs/134925443

#14 - 2018-12-15 16:30 - Marius BĂLTEANU

- File 0001-Implemented-for-MySQL-as-well_v2.patch added

Made a small improvement.

#15 - 2018-12-16 08:05 - Jean-Philippe Lang
https://gitlab.com/cmrd-senya/redmine_issues_date_grouping
- Subject changed from Implement grouping by date to Implement grouping issues by date (start, due, creation, update, closing dates)

- Status changed from New to Closed

- Resolution set to Fixed

Committed, thanks.

#16 - 2018-12-28 07:53 - Go MAEDA

- Related to Defect #30288: Groups are incorrect when grouping by date without user timezone set added

#17 - 2018-12-28 07:55 - Go MAEDA

- Status changed from Closed to Reopened

An issue regarding this feature has been reported as #30288.

#18 - 2019-03-24 05:49 - Go MAEDA

- Related to Feature #30233: Allow grouping of time entries by creation date  added

#19 - 2019-06-20 08:33 - Go MAEDA

- Status changed from Reopened to Closed

Go MAEDA wrote:

An issue regarding this feature has been reported as #30288.

 It was fixed in r17745.

#20 - 2019-09-11 03:41 - Go MAEDA

- Related to Defect #32046: SQL to get counts when using created_on in MySQL to group issues does not work correctly added

#21 - 2020-03-29 14:32 - Marius BĂLTEANU

- Related to Defect #33110: Sort does not work with group by datetime columns added

#22 - 2020-04-15 16:03 - Go MAEDA

- Related to Defect #33290: Unnecessary database access when IssueQuery class is defined added

Files

issue_query.rb.patch 2.02 KB 2016-01-27 Sebastian Paluch

0001-Implemented-for-MySQL-as-well.patch 846 Bytes 2018-12-14 Marius BĂLTEANU

0001-Implemented-for-MySQL-as-well_v2.patch 954 Bytes 2018-12-15 Marius BĂLTEANU
